package com.usoftchina.qywx.sdk.test;

import com.usoftchina.qywx.sdk.config.Agent;
import com.usoftchina.qywx.sdk.config.QywxProperties;

import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.Base64;
import java.util.List;

/**
 * @author yingp
 * @date 2020/2/9
 */
public abstract class BaseTest {

    protected static QywxProperties properties;

    static {
        properties = new QywxProperties();
        properties.setCorpId("wwd42c39382ee6298e");
        List<Agent> agents = new ArrayList<>(3);
        // 通讯录
        agents.add(new Agent("AddressBook", null, "uXuJXVLSjMsvvqPeb8tFDAVDZAphz1PoMcMN4KDuV7g"));
        // 日程
        agents.add(new Agent("Schedule", null, "nBfWqPZS8GXNnkBovhtjMl8UCKI5XoaXUuZnz_Oxkao"));
        // 打卡
        agents.add(new Agent("Checkin", 3010011, "UqGEo3694hopQIfsd3fEDVx0b0rscrl5QzNsOUeZ4lU"));
        // 审批
        agents.add(new Agent("Approval", 3010040, "sSwb62-S-bGftHcCVChnxASz8SnqnvobtIU8Q42kT2w"));

        // UAS系统
        agents.add(new Agent("Uas", 1000003, "mMojQmQVSeYmh575GhLObRxRFCYKIwvzwOXM8qqaOnY"));
        // U报表
        agents.add(new Agent("UasReport", 1000005, "L6lEyc4qYP5lDdErTyyCrWKTAOzRW9sFwfU7ovdHKWs"));
        // U订阅
        agents.add(new Agent("UasSubscribe", 1000004, "_hmVlsD4gwT4a2qfNAP1FYEm4yAAIRUcjeuSW2cQ4YE"));
        // U审批
        agents.add(new Agent("UasAudit", 1000006, "hdzl2Qhb0oKj28o2PASS53i9jxe3vJI6RdGcPIc_pnc"));
        properties.setAgents(agents);
    }
}
